Search Results for

Show / Hide Table of Contents

# Class Wizard.StepChangeEventArgs

System.EventArgs for Wizard.WizardStep events.

##### Inheritance

System.Object
Wizard.StepChangeEventArgs

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class StepChangeEventArgs : EventArgs

### Constructors

#### StepChangeEventArgs(Wizard.WizardStep, Wizard.WizardStep)

Initializes a new instance of Wizard.StepChangeEventArgs

##### Declaration

    public StepChangeEventArgs(Wizard.WizardStep oldStep, Wizard.WizardStep newStep)

##### Parameters

Type | Name | Description
--- | --- | ---
Wizard.WizardStep | oldStep | The current Wizard.WizardStep.
Wizard.WizardStep | newStep | The new Wizard.WizardStep.

### Properties

#### Cancel

Event handlers can set to true before returning to cancel the step transition.

##### Declaration

    public bool Cancel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### NewStep

The Wizard.WizardStep the Wizard is changing to or has changed to.

##### Declaration

    public Wizard.WizardStep NewStep { get; }

##### Property Value

Type | Description
--- | ---
Wizard.WizardStep |

#### OldStep

The current (or previous) Wizard.WizardStep.

##### Declaration

    public Wizard.WizardStep OldStep { get; }

##### Property Value

Type | Description
--- | ---
Wizard.WizardStep |